# class KFontSizeAction |
Definition | `#include <kaction.h>`
Inherits | KSelectAction [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFontSizeAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KFontSizeAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KFontSizeAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KFontSizeAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KFontSizeAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KFontSizeAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KFontSizeAction ( QObject* parent = 0, const char* name = 0 )
- virtual ~KFontSizeAction ()
- virtual int fontSize () const

#### Public Slots

- virtual void setFontSize ( int size )

#### Signals

- void fontSizeChanged ( int )

#### Protected Slots

- virtual void slotActivated ( int )
- virtual void slotActivated ( const QString& )
- virtual void slotActivated ()

## Detailed Description

KFontSizeAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KFontSizeAction

KFontSizeAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KFontSizeAction

KFontSizeAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KFontSizeAction

KFontSizeAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KFontSizeAction

KFontSizeAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KFontSizeAction

KFontSizeAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KFontSizeAction

KFontSizeAction ( QObject* parent = 0, const char* name = 0 ) | ### KFontSizeAction

~KFontSizeAction () | ### ~KFontSizeAction

[virtual]

int fontSize () | ### fontSize

[const virtual]

void setFontSize ( int size ) | ### setFontSize

[virtual slot]

void slotActivated ( int ) | ### slotActivated

[protected slots virtual slot]

Reimplemented from KSelectAction.

void slotActivated ( const QString& ) | ### slotActivated

[protected slots virtual slot]

Reimplemented from KSelectAction.

void slotActivated () | ### slotActivated

[protected slots virtual slot]

Reimplemented from KSelectAction.

void fontSizeChanged ( int ) | ### fontSizeChanged

[signal]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.